Bug 215624 - www/py-selenium: minor fixes
Summary: www/py-selenium: minor fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-12-28 02:22 UTC by Carlos J. Puga Medina
Modified: 2017-01-01 13:03 UTC (History)
4 users (show)

See Also:
douglas: maintainer-feedback+


Attachments
patch (858 bytes, patch)
2016-12-28 02:22 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (2.20 KB, patch)
2016-12-29 00:28 UTC, Carlos J. Puga Medina
douglas: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2016-12-28 02:22:44 UTC
Created attachment 178340 [details]
patch

- Add LICENSE_FILE
- Add misc/compat6x to LIB_DEPENDS
- Fix strip shared object
- Bump PORTREVISION
Comment 1 Jason Unovitch freebsd_committer 2016-12-28 02:46:08 UTC
This seems really painful that we need libc from FreeBSD 6 for this port. What needs that functionality?
Comment 2 Jason Unovitch freebsd_committer 2016-12-28 02:46:29 UTC
Fix assignee.
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-12-28 02:53:37 UTC
(In reply to Jason Unovitch from comment #1)

This is why we need misc/compat6x

====> Compressing man pages (compress-man)
====> Running Q/A tests (stage-qa)
Error: /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so is linked to /usr/local/lib/compat/libc.so.6 from misc/compat6x but it is not declared as a dependency
Error: /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/x86/x_ignore_nofocus.so is linked to /usr/local/lib32/compat/libc.so.6 from misc/compat6x but it is not declared as a dependency
===>  Installing for py27-selenium-3.0.2_1
===>  Checking if py27-selenium already installed
===>   Registering installation for py27-selenium-3.0.2_1
Installing py27-selenium-3.0.2_1...
===>  Cleaning for py27-selenium-3.0.2_1
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-12-28 02:57:25 UTC
Other port that currently claims libc.so.6 as a library dependency is lang/go

pkg-static: (go-1.7.4,1) /usr/ports/lang/go/work/stage//usr/local/go/src/pkg/debug/elf/testdata/gcc-386-freebsd-exec - shared library libc.so.6 not found
Comment 5 Jason Unovitch freebsd_committer 2016-12-28 03:02:19 UTC
Looks like a false positive. That .so mentions a bunch of Linux GLIBC symbol versions in the strings output and ldd recognizes it as such.

% ldd ./py/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
ldd: ./py/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so: not a FreeBSD ELF shared object

Perhaps it should be removed?
Comment 6 Carlos J. Puga Medina freebsd_committer 2016-12-28 03:11:52 UTC
(In reply to Jason Unovitch from comment #5)

Ok, I'll take a look :-)
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-12-28 04:25:56 UTC
# ldd /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/x86/x_ignore_nofocus.so 
/usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/x86/x_ignore_nofocus.so:
	libc.so.6 => /usr/local/lib32/compat/libc.so.6 (0x28205000)

# ldd /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
/usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so:
	libc.so.6 => /usr/local/lib/compat/libc.so.6 (0x801609000)

# file /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/x86/x_ignore_nofocus.so
/usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/x86/x_ignore_nofocus.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (FreeBSD), dynamically linked, BuildID[sha1]=e61dfc1eda85dd44faca4fdd7715f302a9077b63, stripped

# file /usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
/usr/local/lib/python2.7/site-packages/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so: ELF 64-bit LSB shared object, x86-64, version 1 (FreeBSD), dynamically linked, BuildID[sha1]=fe29b41d8b02597921bdb6a3985241060a652aa1, stripped
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-12-28 04:30:53 UTC
(In reply to Carlos J. Puga Medina from comment #7)

Yes, it's going to sound weird but now it looks good?
Comment 9 Dmitry Marakasov freebsd_committer 2016-12-28 19:21:54 UTC
Before build:

./work/selenium-2.53.1/py/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=fe29b41d8b02597921bdb6a3985241060a652aa1, not stripped
./work/selenium-2.53.1/py/selenium/webdriver/firefox/x86/x_ignore_nofocus.so:   ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=e61dfc1eda85dd44faca4fdd7715f302a9077b63, not stripped

nm shows references to GLIBC. These libs don't seem to have anything to do with FreeBSD compatXX ports. Probably should not be installed or should be rebuild.
Comment 10 Carlos J. Puga Medina freebsd_committer 2016-12-29 00:28:53 UTC
Created attachment 178367 [details]
patch

Summary:

- Add LICENSE_FILE
- Remove binary Firefox extension
- Bump PORTREVISION
Comment 11 Dmitry Marakasov freebsd_committer 2016-12-29 08:58:21 UTC
LGTM
Comment 12 commit-hook freebsd_committer 2017-01-01 13:02:10 UTC
A commit references this bug:

Author: cpm
Date: Sun Jan  1 13:01:53 UTC 2017
New revision: 430251
URL: https://svnweb.freebsd.org/changeset/ports/430251

Log:
  www/py-selenium: minor fixes

  - Add LICENSE_FILE
  - Remove binary Firefox extensions
  - Bump PORTREVISION

  PR:		215624
  Submitted by:	cpm
  Reviewed by:	amdmi3, junovitch (mentors)
  Approved by:	douglas@douglasthrift.net (maintainer), amdmi3 (mentor)

Changes:
  head/www/py-selenium/Makefile
  head/www/py-selenium/files/
  head/www/py-selenium/files/patch-setup.py
Comment 13 Carlos J. Puga Medina freebsd_committer 2017-01-01 13:03:15 UTC
Committed, thanks!